JcaPGPContentSignerBuilder
Date: 2016-06-23

org.bouncycastle.openpgp.operator.jcajce

## Class JcaPGPContentSignerBuilder

- java.lang.Object
- - org.bouncycastle.openpgp.operator.jcajce.JcaPGPContentSignerBuilder

- All Implemented Interfaces:
    PGPContentSignerBuilder

      public class JcaPGPContentSignerBuilder
      extends java.lang.Object
      implements PGPContentSignerBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaPGPContentSignerBuilder(int keyAlgorithm, int hashAlgorithm)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PGPContentSigner` | `build(int signatureType, long keyID, java.security.PrivateKey privateKey)`
    `PGPContentSigner` | `build(int signatureType, PGPPrivateKey privateKey)`
    `JcaPGPContentSignerBuilder` | `setDigestProvider(java.security.Provider provider)`
    `JcaPGPContentSignerBuilder` | `setDigestProvider(java.lang.String providerName)`
    `JcaPGPContentSignerBuilder` | `setProvider(java.security.Provider provider)`
    `JcaPGPContentSignerBuilder` | `setProvider(java.lang.String providerName)`
    `JcaPGPContentSignerBuilder` | `setSecureRandom(java.security.SecureRandom random)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaPGPContentSignerBuilder

          public JcaPGPContentSignerBuilder(int keyAlgorithm,
                                    int hashAlgorithm)

  - ### Method Detail

    - #### setSecureRandom

          public JcaPGPContentSignerBuilder setSecureRandom(java.security.SecureRandom random)

    - #### setProvider

          public JcaPGPContentSignerBuilder setProvider(java.security.Provider provider)

    - #### setProvider

          public JcaPGPContentSignerBuilder setProvider(java.lang.String providerName)

    - #### setDigestProvider

          public JcaPGPContentSignerBuilder setDigestProvider(java.security.Provider provider)

    - #### setDigestProvider

          public JcaPGPContentSignerBuilder setDigestProvider(java.lang.String providerName)

    - #### build

          public PGPContentSigner build(int signatureType,
                               PGPPrivateKey privateKey)
                                 throws PGPException

      Specified by:
        `build` in interface `PGPContentSignerBuilder`
      Throws:
        `PGPException`

    - #### build

          public PGPContentSigner build(int signatureType,
                               long keyID,
                               java.security.PrivateKey privateKey)
                                 throws PGPException

      Throws:
        `PGPException`